/******************************************************
 *                                                    *
 *     Lesson 5: returning a value from a function    *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *   This is like a regular function except it has    *
 * one difference.  It returns a value.  The function *
 * can basically be used like a variable except you   *
 * can't set a value.                                 *
 *                                                    *
 ******************************************************/


#include "huc.h"

main()
{
  int x;

  x = myReturnFunction();  /*
                            - This calls myReturnFunction()
                            - When the function finishes it returns a value
                          */

  return(0);
}



myReturnFunction()  /*Same as a basic function*/
{
  return(4);  /*
                - The return function can return anyvalue including values from variables.
                - myReturnFunction() acts the same way as a number in other function that call it
                - You can use myReturnFunction() it in IF statements or to set a variable.
                - You can only return ints and chars from a function.
                - You can't return arrays
              */
}
