/******************************************************
 *                                                    *
 *     Lesson 6: Copying variables into functions     *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *    Basically this will explain how to copy the     *
 * variables of one function into a function that it  *
 * calls.  From there you can manipulate the variables*
 * but the originals are never changed.               *
 *                                                    *
 ******************************************************/

#include "huc.h"


main()
{
  int x, y;
  char z, array[3];

  x = 7;
  y = 9;
  z = 'm';
  array[0] = 'h';
  array[1] = 'e';
  array[2] = 'y';

  myCopyFunction(x);  /*this calls myCopyFunction() and you have to copy in an int*/

  myCopy2Function(x,y);  /*this calls myCopy2Function() and you have to copy in 2 ints*/

  myCopy2TypesFunction(x,z);  /*this calls myCopy2TypesFunction() and
                               you have to copy in an int and then a char*/

  myCopyArrayFunction(array);  /*this calls myCopyArrayFunction() and you have to copy in a char array*/

  return(0);
}



myCopyFunction(x)  /*now you have to say what you copyed into the function*/
           int x;  /*below this you have to say what type each variable is*/
{
  /*You now have the variable x inside this function to manipulate.  The only
    catch is that when you get back to the function that called myCopyFunction(),
    x will still be the same value that you copyed in*/
}



myCopy2Function(x, y)  /*the same as above just with two ints now*/
           int x, y;
{
  /*now you can manipulate both x and y*/
}



myCopy2TypesFunction(x,     z)  /*still just put in the names of the variables here*/
                 int x;char z;  /*since x and z are different types you have to specify the type*/
{
  /*now you can manipulate both x and z*/
}



myCopyArrayFunction(array)  /*simple here*/
              char* array;  /*you don't have to specify size of the array*/
{
  /*now you can manipulate the char array called "array"*/
}
