/******************************************************
 *                                                    *
 *            Lesson 8: Using if statements           *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *    If statements are the heart of programming. The *
 * point of an if statement is to make your program   *
 * do something under certain conditions.             *
 *                                                    *
 *                                                    *
 * Terms:                                             *
 *                                                    *
 *  operator - this compare to ints or chars. if it   *
 *             returns a 1 it runs the code if it     *
 *             returns a 0 it won't                   *
 *                                                    *
 *  == - an operator that returns 1 when the ints or  *
 *       chars are the same                           *
 *                                                    *
 *  != - an operator that returns 1 when the ints or  *
 *       chars are not the same                       *
 *                                                    *
 *  <  - an operator that returns 1 when the left int *
 *      is less than the right one                    *
 *                                                    *
 *  <= - an operator that returns 1 when the left int *
 *       is less than or equal to the right one       *
 *                                                    *
 *  >  - an operator that returns 1 when the left int *
 *      is greater than the right one                 *
 *                                                    *
 *  >= - an operator that returns 1 when the left int *
 *       is greater than or equal to the right one    *
 *                                                    *
 ******************************************************/

#include "huc.h"

main()
{
  int x;

  x = 5;

/*
  Start the question
  |
  |    the first item to compare
  |    |
  |    | the "operator"
  |    | |
  |    | |  the second item to compare
  |    | |  |                              */
  if ( x == 5 )
  {
    /*
      - the code above asks if x is equal to 5
      - if x really is 5 then it should execute the code
        in these brackets
      - if it isn't it should ignore the code
    */
  }

  return(0);
}
