/******************************************************
 *                                                    *
 *          Lesson 9: Using else statements           *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *    Else statements are the side effect of if       *
 * statements.  Basically when the if statement is    *
 * false this is the alternate code that is will run. *
 *                                                    *
 ******************************************************/

#include "huc.h"

main()
{
  int x;

  x = 5;

  if ( x == 8 )
  {
    /*x isn't equal to 8 so it never reaches this point*/
  }
  else
  {
    /*
      - instead of not doing anything it will run the code
        inside these brackets
      - if the if statement were true the code inside these
        brackets wouldn't be executed
    */
  }

  return(0);
}
