/******************************************************
 *                                                    *
 *         Lesson 1: creating basic elements          *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *   This trys to explain general things about the    *
 * compiler and really just how to do some things in  *
 * the C programming language.  If you don't know C   *
 * at all then I suggest you learn and perhaps use    *
 * this as an aid.                                    *
 *                                                    *
 * Terms:                                             *
 *                                                    *
 *   variable - a letter or word that hold a value    *
 *                                                    *
 *   local - a type of variable that can only be      *
 *           accessed inside the function it was made *
 *                                                    *
 *   global - a variable that can be accessed         *
 *            anywhere inside the program             *
 *                                                    *
 *   int - a type of variable that holds an           *
 *         interger(number)                           *
 *                                                    *
 *   char - a type of variable that holds a character *
 *                                                    *
 *   array - a type of variable that has multiple     *
 *           locations to hold ints, chars or arrays  *
 *                                                    *
 ******************************************************/


#include "huc.h" /*you almost always have to include this so you should*/

int global;

main()
{
  int x;    /*this is how you make ints (16 bit),  */

  int y, z; /*by using a comma you can make more that one of the specified type*/

  int a[2]; /*- this is how you make an array to hold 2 ints
              - just change the int to char and it will hold 2 chars
              - the first point is zero.*/

  char b;   /*this is how you make a char (8 bit), 0-255*/


  x = 5;  /*this is how you set the value of a variable*/
  y = 9;

  global = x + y;  /*you can use other variables when setting the value of another
                as long as they are the same type*/

  a[0] = x;  /*this is how you set the value of the first space*/
  a[1] = y;  /*this is how you set the value of the second space*/

  b = 'y'; /*you set a value of chars with a letter in quotes*/


  return(0);/*has to be here in main().  you will learn more later*/
}
