/******************************************************
 *                                                    *
 *        Lesson 10: Using else if statements         *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *    Else if statements are mearly conditional else  *
 * statements.  Basically when the if statement is    *
 * false the else if statement is tested.  But if the *
 * first if statement is true then it never reaches   *
 * this code. If the else if statement is true it     *
 * will run the code inside.  If it's false there can *
 * be a second, a third, or as many else if statements*
 * as you want.                                       *
 *                                                    *
 ******************************************************/


#include "huc.h"

main()
{
  int x;

  x = 5;

  if ( x == 8 )
  {
    /*x isn't equal to 8 so it never reaches this point*/
  }
  else if( x == 6 )
  {
    /*
      - instead of not doing anything it test the condition
      - it will run the code that is inside these brackets if it's true
    */
  }
  else if( x == 5 )
  {
    /*multiple else if statements can be used*/
  }

  return(0);
}
