/******************************************************
 *                                                    *
 *         Lesson 11: Using switch statements         *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *   The switch statement was designed to be in place *
 * of several if statements.  Basically you put in a  *
 * variable and it will goto the case with the same   *
 * number.  If there isn't one it goes to default. On *
 * the other hand, if ther is a case, it will execute *
 * all the code below.  It will continue to execute   *
 * code until it hits break or the end of the switch. *
 *                                                    *
 ******************************************************/


#include "huc.h"

main()
{
  int x;

  x = 5;

  switch(x)
  {
    case 7:     /*if x equals 7 then it will run all the code  */
      x = x * 2;/* below it until it hits a break statement or */
                /* the end of the switch                       */
                /*in this case it would multiply x by 2 then
                   subtract 3                                  */

    case 3:     /*if x equals 3 then it will subract tree from x*/
      x = x - 3;
      break;    /*this forces you out of the switch statement   */

    default:    /*if there isn't a case statement for x, it will*/
      x = 4;    /* run the code that is here                    */
  }

  return(0);
}
